<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>bmessage</groupId>
    <artifactId>funambol-bundle-postconfig</artifactId>
    <packaging>jar</packaging>
    <version>1.0-SNAPSHOT</version>
    <name>funambol-bundle-postconfig</name>
    <url>http://maven.apache.org</url>
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>RELEASE</version>
                <configuration>
                    <source>1.5</source>
                    <target>1.5</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <archive>
                        <manifest>
                            <mainClass>net.bionicmessage.funambol.bundle.postConfig</mainClass>
                        </manifest>
                    </archive>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
            <id>netbeans-public</id>
            <activation>
                <property>
                    <name>netbeans.execution</name>
                    <value>true</value>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-assembly-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>nb</id>
                                <phase>package</phase>
                                <goals>
                                    <goal>directory</goal>
                                </goals>
                                <configuration>
                                    <descriptor>${basedir}/src/main/assemblies/netbeans-run.xml</descriptor>
                                    <finalName>executable</finalName>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <artifactId>maven-jar-plugin</artifactId>
                        <configuration>
                            <archive>
                                <manifest>
                                    <addClasspath>true</addClasspath>
                                    <classpathPrefix>lib</classpathPrefix>
                                    <mainClass>net.bionicmessage.funambol.bundle.fnblGet</mainClass>
                                </manifest>
                            </archive>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>3.8.1</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>funambol</groupId>
            <artifactId>admin</artifactId>
            <version>6.5.12</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>funambol</groupId>
            <artifactId>ds-server</artifactId>
            <version>6.5.14</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>funambol</groupId>
            <artifactId>server-framework</artifactId>
            <version>6.5.8</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>bmessage</groupId>
            <artifactId>httpauth</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>bmessage</groupId>
            <artifactId>funambol-citadel-connector</artifactId>
            <version>2.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>bmessage</groupId>
            <artifactId>funambol-groupdav-connector</artifactId>
            <version>2.1</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.codehaus.plexus</groupId>
            <artifactId>plexus-utils</artifactId>
            <version>1.1</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>
</project>
